curl --request POST \
--url https://sandbox.killb.app/api/v2/payouts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"preFundAccountId": "e8d74b2f-86df-43b0-a9d9-72055a6b0432",
"amount": 8000,
"beneficiary": {
"type": "BANK",
"account": {
"document": {
"type": "NIT",
"number": "123456",
"issuedCountryCode": "CO"
},
"accountNumber": "10203049",
"bankCode": "001",
"type": "checking",
"countryCode": "CO",
"firstName": "John",
"middleName": "Carlos",
"lastName": "Doe",
"companyName": "Acme Corp",
"email": "[email protected]",
"phone": "+576015555555"
}
},
"externalId": "d00e4f43-2022-42f3-ba1c-dcf4c1dcd934",
"metadata": {
"orderId": "abc123",
"channel": "mobile"
}
}
'import requests
url = "https://sandbox.killb.app/api/v2/payouts"
payload = {
"preFundAccountId": "e8d74b2f-86df-43b0-a9d9-72055a6b0432",
"amount": 8000,
"beneficiary": {
"type": "BANK",
"account": {
"document": {
"type": "NIT",
"number": "123456",
"issuedCountryCode": "CO"
},
"accountNumber": "10203049",
"bankCode": "001",
"type": "checking",
"countryCode": "CO",
"firstName": "John",
"middleName": "Carlos",
"lastName": "Doe",
"companyName": "Acme Corp",
"email": "[email protected]",
"phone": "+576015555555"
}
},
"externalId": "d00e4f43-2022-42f3-ba1c-dcf4c1dcd934",
"metadata": {
"orderId": "abc123",
"channel": "mobile"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
preFundAccountId: 'e8d74b2f-86df-43b0-a9d9-72055a6b0432',
amount: 8000,
beneficiary: {
type: 'BANK',
account: {
document: {type: 'NIT', number: '123456', issuedCountryCode: 'CO'},
accountNumber: '10203049',
bankCode: '001',
type: 'checking',
countryCode: 'CO',
firstName: 'John',
middleName: 'Carlos',
lastName: 'Doe',
companyName: 'Acme Corp',
email: '[email protected]',
phone: '+576015555555'
}
},
externalId: 'd00e4f43-2022-42f3-ba1c-dcf4c1dcd934',
metadata: {orderId: 'abc123', channel: 'mobile'}
})
};
fetch('https://sandbox.killb.app/api/v2/payouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "e8d74b2f-86df-43b0-a9d9-72055a6b0432",
"amount": 8000,
"currency": "COP",
"beneficiary": {
"type": "BANK",
"account": {
"document": {
"type": "NIT",
"number": "123456",
"issuedCountryCode": "CO"
},
"accountNumber": "10203049",
"bankCode": "001",
"type": "checking",
"countryCode": "CO",
"firstName": "John",
"middleName": "Carlos",
"lastName": "Doe",
"companyName": "Acme Corp",
"email": "[email protected]",
"phone": "+576015555555"
}
},
"status": "CASH_IN_CREATED",
"createdAt": "2026-04-23T00:38:08.439Z",
"updatedAt": "2026-04-23T00:38:08.439Z",
"details": "Payment processed successfully",
"transferProof": "https://example.com/proof.pdf",
"externalId": "d00e4f43-2022-42f3-ba1c-dcf4c1dcd934",
"metadata": {
"orderId": "abc123",
"channel": "mobile"
}
}{
"errorCode": "API_USER.0001",
"arguments": [
{
"key": "email",
"value": "[email protected]"
}
],
"message": [
"User not found",
"Account not found"
],
"statusCode": "400"
}{
"statusCode": "500",
"message": [
"Internal server error"
]
}Create Payouts
This endpoint is responsible for creating a payout.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Unique key to ensure idempotent request handling. If a request with the same key was already processed, the cached response is returned.
Body
"e8d74b2f-86df-43b0-a9d9-72055a6b0432"
8000
Show child attributes
Show child attributes
identifier used to identify your existing payouts
"d00e4f43-2022-42f3-ba1c-dcf4c1dcd934"
Arbitrary object for client use.
{ "orderId": "abc123", "channel": "mobile" }
Response
"e8d74b2f-86df-43b0-a9d9-72055a6b0432"
8000
COP, USDC, USDT "COP"
Show child attributes
Show child attributes
CREATED, COMPLETED, FAILED, ERROR, REFUNDED, CASH_IN_CREATED, CASH_IN_REQUEST, CASH_IN_REQUESTED, CASH_IN_PENDING, CASH_IN_PROCESSING, CASH_IN_COMPLETED, CASH_IN_CANCELED, CASH_IN_REJECTED, CASH_IN_FAILED, CASH_IN_ERROR, KYT_OUT_CREATE, KYT_OUT_PENDING, KYT_OUT_PROCESSING, KYT_OUT_COMPLETED, KYT_OUT_FAILED, CASH_OUT_CREATE, CASH_OUT_CREATED, CASH_OUT_REQUEST, CASH_OUT_REQUESTED, CASH_OUT_PENDING, CASH_OUT_PENDING_FILE, CASH_OUT_PROCESSING, CASH_OUT_COMPLETED, CASH_OUT_CANCELED, CASH_OUT_FAILED, CASH_OUT_ERROR, REFUND_CREATE, REFUND_CREATED, REFUND_REQUEST, REFUND_REQUESTED, REFUND_PENDING, REFUND_PROCESSING, REFUND_COMPLETED, REFUND_FAILED "CASH_IN_CREATED"
"2026-04-23T00:38:08.439Z"
"2026-04-23T00:38:08.439Z"
Notes about issues or observations related to the payout
"Payment processed successfully"
Proof of payment for the payout transfer
"https://example.com/proof.pdf"
"d00e4f43-2022-42f3-ba1c-dcf4c1dcd934"
Arbitrary object provided by the client at payout creation.
{ "orderId": "abc123", "channel": "mobile" }